package com.bignerdranch.nyethack

import Player
import Room
import TownSquare

fun main() {
    val player = Player("Madrigal")
    player.castFireball()

    var currentRoom: Room = TownSquare()
    println(currentRoom.description())
    println(currentRoom.load())

    // Аура
    val auraColor = player.auraColor()

    // Состояние игрока
    printPlayerStatus(player)
    Game.play()
}

private fun printPlayerStatus(player: Player) {
    println("(Aura: ${player.auraColor()}) " +
            "(Blessed: ${if (player.isBlessed) "YES" else "NO"})")
    println("${player.name} ${player.formatHealthStatus()}")
}

object Game {
    init {
        println("Welcome, adventurer.")
    }
    fun play() {
        while (true) {
            // Игровой процесс NyetHack
        }
    }
}

